Relesys API Docs

v1.4

https://api.relesystest.net/api/v1.4

Subtask Completions

List
GET /taskmanagementmodules/{moduleId}/tasks/{taskId}/subtasks/{subtaskId}/completions
https://api.relesystest.net/api/v1.4/taskmanagementmodules/{moduleId}/tasks/{taskId}/subtasks/{subtaskId}/completions
Get a list of subtask completions for subtask with subtaskId that belongs to a task with taskId in a module with moduleId.

Default sort is by creationDateTime in descending order.

areaDepartmentId will be populated only when task's assignee type is "ByDepartmentType".
Scopes: relesys.api, relesys.api:read, relesys.api.taskmanagement, relesys.api.taskmanagement:read
URL Path
moduleId string / guid The module's unique identifier required
taskId string / guid The task's unique identifier required
subtaskId string / guid The subtask's unique identifier required
Query String
areaDepartmentId string / guid Filterable optional
creationDateTime datetimeoffset Filterable Sortable optional
departmentId string / guid Filterable optional
id string / guid Filterable optional
userId string / guid Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"350dd1f2-6d6b-495c-81e8-d9824650434b","userId":"4a739788-f9c6-4912-8b63-fee5ee28e262","departmentId":"a11c2715-c3c4-43e0-b522-89513e3f1407","areaDepartmentId":"d4788290-ecc8-43b3-a2c9-28ca00c892bf","creationDateTime":"2026-10-25T06:18:35.6891881+00:00"},{"id":"7c7f9539-4616-4399-a5b2-e27cc7b786c3","userId":"e2d228d4-e651-4c26-ae5a-4845b1599196","departmentId":"0095527e-9e6c-42f7-95ac-f4250833dd95","areaDepartmentId":null,"creationDateTime":"2026-10-24T06:18:35.6891881+00:00"}]}
object
  count integer      
  ⯈ data array[object]      
   areaDepartmentId string / guid      
   creationDateTime datetimeoffset      
   departmentId string / guid      
   id string / guid      
   userId string / guid      
  nextUrl string      
  previousUrl string